Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#1288 closed defect (fixed)

Incomplete listing of "Directived Allowed from an ISR"

Reported by: Ingolf Steinbach Owned by: Joel Sherrill
Priority: normal Milestone: 4.9
Component: doc Version: unknown
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

According to an E-Mail sent by Joel Sherrill to rtems-users@ on 2008-05-08 (Message-ID: <48230D7D.7040700@…>), "it is OK to call rtems_timer_fire_after() or rtems_timer_cancel() from an ISR".

See the attached patch for a (suggested) fix for the documentation (trunk and possibly also 4.x branches). Please note, that the patch has not been tested.

Attachments (2)

intr.t.diff (567 bytes) - added by Ingolf Steinbach on 05/22/08 at 14:56:56.
Patch to fix the documentation
pr1288.diff (2.2 KB) - added by Joel Sherrill on 08/04/08 at 18:06:24.
Slightly more robust patch

Download all attachments as: .zip

Change History (3)

Changed on 05/22/08 at 14:56:56 by Ingolf Steinbach

Attachment: intr.t.diff added

Patch to fix the documentation

Changed on 08/04/08 at 18:06:24 by Joel Sherrill

Attachment: pr1288.diff added

Slightly more robust patch

comment:1 Changed on 08/04/08 at 18:10:28 by Joel Sherrill

Resolution: fixed
Status: newclosed

Patch applied to all active branches.

Note: See TracTickets for help on using tickets.